Description

Old situation
® bind nameservers on routers decide based on source IPv6 address whether to give out NAT64 or not

¢ QOverlapping use (dual stack VM vs. IPv6 only) led to problems that the above rule does not apply strictly
e This also led to problems when VMs with routed networks

Possible solution 1

¢ Advise customers who need DNS64 generally to use unbound1.place6.ungleich.ch (2a0a:e5c0:2:12:0:f0ff:fea9:c451) and
unbound2.place6.ungleich.ch (2a0a:e5c¢0:2:12:0:f0ff:fea9:c45d)

Other solutions

¢ Remove overlapping networks (for future VMs)
¢ Add broken VMs/IPs to the individual list of bind

History

#1 - 01/20/2020 12:06 PM - Timothée Floure

- Status changed from New to Seen

#2 - 01/20/2020 05:11 PM - Timothée Floure

- Status changed from Seen to Feedback

See https://redmine.ungleich.ch/projects/open-infrastructure/wiki/The ungleich_ DNS _infrastructure.

#3 - 01/22/2020 09:11 AM - Nico Schottelius
- Status changed from Feedback to Closed

Thanks!

redmine@ungleich.ch writes:

#4 - 01/22/2020 02:00 PM - Il nu

What can we do about that the /etc/resolv.conf is rewritten at every reboot?
Would the best be to advise:

chattr +i /etc/resolv.conf
?

#5 - 01/22/2020 03:33 PM - Nico Schottelius

No. If somebody does not want that, they should remove the appropriate
script below /etc/one-contex.d

redmine@ungleich.ch writes:
